<?php
 @session_start();
  $vg_login=$_SESSION["usuario"];
  if($vg_login<>""){}
 else
  {echo "<script>";
   echo "window.location='../index.php';";
   echo "</script>";
  }	
include "../valida_permisos.php";
$vg_programa = F_programa();
include "../seguridad.php";
$ip=getenv("REMOTE_ADDR");
?>
<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3c.org/TR/1999/REC-html401-19991224/loose.dtd">
<html>
<head>
<title>SIVI</title>
<meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1">
<LINK REL="SHORTCUT ICON" HREF="../icono.ico">
<link href="../bootstrap/css/bootstrap.min.css" rel="stylesheet">
<script src="../bootstrap/js/bootstrap.min.js"></script>
</head>
<BODY>
<?php
include "../conexion.php";
$id="";$nombre="";$estado="";$descripcion="";$fechai="";$fechaf="";
$preciounitario="";$precioventa="";$productofamilia="";$marca="";$iva="";$codigobarra="";
$fechai=date("Y-m-d");$fechaf=date("Y-m-d");
						  
if(isset($_REQUEST["oculto"]))
{ 
  	$fechai=$_REQUEST["fechai"];  
		$fechaf=$_REQUEST["fechaf"];  
}


?>
<form name="parametros" method="post" action="" >
<div id="informes" class="container text-center" style="width:95%;">
    <div class="panel panel-primary">
      <div class="panel-heading">INFORME VENTAS</div>
      
  <table width="100%" border="0" cellspacing="0" cellpadding="0" class="texto" >
                    <tr> 
                      <td width="185" height="0">Fecha Inicial</td>
                      <td width="186"><input name="fechai" type="date" id="fechai"
                            class="form-control" data-placement="right"  style="width: 150px" 
                             onFocus="this.style.background='#ccffff'" onBlur="this.style.background='#ffffff'"   value="<?php echo $fechai; ?>" 
							  onKeyPress="if(event.keyCode>=48 && event.keyCode<=58){} else {event.keyCode=8;}"></td>
                      <td width="371">Fecha Final</td>
                      <td width="371"><input name="fechaf" type="date"  id="fechaf"
                      			class="form-control" data-placement="right"  style="width: 150px"                              
                             onFocus="this.style.background='#ccffff'" onBlur="this.style.background='#ffffff'"   value="<?php echo $fechaf; ?>" size="10" maxlength="10"
							  onKeyPress="if(event.keyCode>=48 && event.keyCode<=58){} else {event.keyCode=8;}"></td>
                    </tr>
                    <tr> 
                      <td colspan="4"><div align="center"> 
                          
                          
                          <input name="buscar3" type="submit" id="buscar3" value="Resumen" title="Clic para Buscar"  class="btn btn-primary" onClick="Obuscard.value=1;" >
                          
                          <input name="buscar2" type="submit" id="buscar2" value="Detallado" title="Clic para Buscar"  class="btn btn-primary" onClick="Obuscar.value=1;" >
                           
                           
                           
                          <input name="guardar" type="hidden" id="guardar" value="Reporte" title="Clic para Guardar"  class="btn btn-primary" onClick="reporteexcel(document.parametros.fechai.value,document.parametros.fechaf.value,document.parametros.productofamilia.value);" >
                         
                         <a href="reporte_ventas.php?fechai=<?php echo $fechai; ?>&fechaf=<?php echo $fechaf; ?>" class="btn btn-primary">Genera Excel Ventas</a>
                          <a href="reporte_abonos.php?fechai=<?php echo $fechai; ?>&fechaf=<?php echo $fechaf; ?>" class="btn btn-primary">Genera Excel Abonos</a>
                          <a href="reporte_pagos.php?fechai=<?php echo $fechai; ?>&fechaf=<?php echo $fechaf; ?>" class="btn btn-primary">Genera Excel Pagos</a>
                          
                          <input name="buscar3" type="submit" id="buscar3" value="Informe Contador" title="Clic para Buscar"  class="btn btn-primary" onClick="Obuscarc.value=1;" >
                         <?php
                          if($_REQUEST["Obuscarc"]==1)
						   {
						 ?>  
                          <br><a href="reporte_excel_creditos_fechas.php?fechai=<?php echo $fechai; ?>&fechaf=<?php echo $fechaf; ?>" onClick="submit();" class="btn btn-warning">CXC</a>
                                <a href="../inventario/reporte_excel_creditos_fechas.php?fechai=<?php echo $fechai; ?>&fechaf=<?php echo $fechaf; ?>" onClick="submit();" class="btn btn-warning">CXP</a>
                                
                  <a href="reporte_excel_creditos_fechas_acumulado.php?fechai=<?php echo $fechai; ?>&fechaf=<?php echo $fechaf; ?>" onClick="submit();" class="btn btn-warning">CXC RESUMEN</a>
                  
                  <a href="../inventario/reporte_excel_creditos_fechas_acumulado.php?fechai=<?php echo $fechai; ?>&fechaf=<?php echo $fechaf; ?>" onClick="submit();" class="btn btn-warning" target="_blank">CXP RESUMEN</a>


 <a href="reporte_excel_ventas_acumulado.php?fechai=<?php echo $fechai; ?>&fechaf=<?php echo $fechaf; ?>" onClick="submit();" class="btn btn-warning" target="_blank">VENTAS RESUMEN</a>

                          
                         
                          <?php
						   }
						 ?>  
                         
                          <input name='rep' type='hidden'  id='rep' value='Genera Excel'   class="btn btn-primary" title="Clic para ver reporte"
						  onClick="javascript:window.open('reporte_ventas.php?fechai=<?php echo $fechai; ?>&fechaf=<?php echo $fechaf; ?>','ReporteParametros','menubar=1,toolbar=0,location=0,directories=0,status=1,scrollbars=1,width=800,height=500');" >
                         
                         
                          <input name='rep2' type='hidden'  id='rep2' value='Genera Excel Abonos'   class="btn btn-primary" title="Clic para ver reporte"
						  onClick="javascript:window.open('reporte_abonos.php?fechai=<?php echo $fechai; ?>&fechaf=<?php echo $fechaf; ?>','ReporteParametros','menubar=1,toolbar=0,location=0,directories=0,status=1,scrollbars=1,width=800,height=500');" >



<input name="buscar" type="hidden" id="buscar3" value="Busca" title="Clic para Buscar" class="btn" 
                          onClick="jq_busca_datos_parametros(document.parametros.id.value,'producto');" >
                          <input name="oguardar" type="hidden" id="oguardar">
                          <input name="Obuscar" type="hidden" id="Obuscar">
                          <input name="omodificar" type="hidden" id="omodificar">
                          <input name="oreporte" type="hidden" id="oreporte2">
                          <input name="obuscadato" type="hidden" id="obuscadato">
                          <input name="Obuscarc" type="hidden" id="Obuscarc">
                          <input name="Obuscard" type="hidden" id="Obuscard">
                          <input name="oculto" type="hidden" id="oculto">
                          
                        </div></td>
                    </tr>
                  </table>
</div>
<?php


if($_REQUEST["Obuscard"]==1)
{
		?>
        <input name='rep4' type='button'  id='rep4' value='Imprime'   class="btn  btn-primary" title="Imprime"
						  onclick="javascript:window.open('imprimeposcaja.php?fechai=<?php echo $fechai; ?>&fechaf=<?php echo $fechaf; ?>','poscaja','menubar=1,toolbar=0,location=0,directories=0,status=1,scrollbars=1,width=500,height=300');" style="width:150px"  />
        <?php
		
		
		if($fechai<>"" && $fechaf<>""){$sqlfecha=" and fecha between '".$fechai."' and '".$fechaf."'";}else{$sqlfecha="";}

		  $sql_datosrs=mysqli_query($conexion,"SELECT count(*) as contar from venta
									where id>=0
									$sqlfecha");
		   while($datosrs= mysqli_fetch_row($sql_datosrs)){ $contar=$datosrs[0];}
		  if($contar>=1)
		  {$sumades=0;
			 echo "<center> <table width='80%' border='1' bordercolor='#CCCCCC' cellpadding='0' cellspacing='0' class='table table-hover'>";
						echo "<tr>";
						echo "<td class='btn-primary' >LINEA</td>";
						echo "<td class='btn-primary'>GRUPO</td>";
						echo "<td class='btn-primary'>PRECIO COMPRA</td>";						
						echo "<td class='btn-primary'>PRECIO VENTA</td>";
						echo "</tr>";
			  
			     $sql_datospf=mysqli_query($conexion,"SELECT count(*) as contar,linea,grupo from venta,producto
										where venta.id>=0
									    $sqlfecha
										and venta.producto=producto.id
										group by linea,grupo
										order by linea asc");
				$c=1;$sumag=0;$sumapu=0;$sumaput=0;$sumaI=0;$sumaef=0;$sumacr=0;
				 while($datospf= mysqli_fetch_row($sql_datospf))//01
					{
					  $linea=$datospf[1];  $grupo=$datospf[2];
					   $rs_producto_familia=mysqli_query($conexion,"SELECT id,nombre FROM linea where id='".$linea."'");
								 while($datosrs= mysqli_fetch_row($rs_producto_familia)){ $nlinea=$datosrs[1];}
								 
								 $rs_producto_familia=mysqli_query($conexion,"SELECT id,nombre FROM grupo where id='".$grupo."'");
								 while($datosrs= mysqli_fetch_row($rs_producto_familia)){ $ngrupo=$datosrs[1];}
					  
					  $sql_datos=mysqli_query($conexion,"SELECT venta.id,fecha,cantidad,precio,total,factura,venta.producto,venta.estado,venta.tipopago,
					  									venta.efectivo,venta.credito,venta.cliente,venta.iva,descuentop
					  							 from venta,producto
												where venta.id>=0
												$sqlfecha
												and venta.producto=producto.id
												and producto.linea='".$linea."'
												and producto.grupo='".$grupo."'
												order by fecha asc, id desc");
						$sumat=0;$sumaefectivo=0; $sumacredito=0;
						 while($datos= mysqli_fetch_row($sql_datos))//04
							{
								 $id=$datos[0];
								 $fecha=$datos[1];
								 $cantidad=$datos[2];
								 $precio=$datos[3];
								 $total=$datos[4];
								 $factura=$datos[5];
								 $producto=$datos[6];
								 $estadov=$datos[7];
								 $tipopago=$datos[8];	
								 $efectivo=$datos[9];	
								 $credito=$datos[10];
								 $cliente=$datos[11];	
								 $iva=$datos[12];	
								 $descuentop=$datos[13];
								 
								 $sumades=$sumades+$descuentop;
								 
								 $sql_datosrs=mysqli_query($conexion,"SELECT nombre,descripcion,preciounitario,precioventa,productofamilia,marca,iva,
															codigobarra,estado,ubicacion,linea,grupo from producto
															where id='".$producto."'");
								  while($datosrs= mysqli_fetch_row($sql_datosrs))//04
							      {
									 $nombre=$datosrs[0];
									 $descripcion=$datosrs[1];
									 $preciounitario=$datosrs[2];
									 $precioventa=$datosrs[3];
									 $productofamilia=$datosrs[4];
									 $marca=$datosrs[5];
									 //$iva=$datosrs[6];
									 $codigobarra=$datosrs[7];
									 $estado=$datosrs[8];
									 $ubicacion=$datosrs[9];
									 $linea=$datosrs[10];
									 $grupo=$datosrs[11];
									 $ventapro=$cantidad*$preciounitario;	
									 							 
								  }
								 
								 $ncliente="";
								 $rs_producto_familia=mysqli_query($conexion,"SELECT id,nombre FROM cliente where id='".$cliente."'");
								 while($datosrs= mysqli_fetch_row($rs_producto_familia)){ $ncliente=$datosrs[1];}
								 
								 $rs_producto_familia=mysqli_query($conexion,"SELECT id,nombre FROM linea where id='".$linea."'");
								 while($datosrs= mysqli_fetch_row($rs_producto_familia)){ $nlinea=$datosrs[1];}
								 
								 $rs_producto_familia=mysqli_query($conexion,"SELECT id,nombre FROM grupo where id='".$grupo."'");
								 while($datosrs= mysqli_fetch_row($rs_producto_familia)){ $ngrupo=$datosrs[1];}
								 
								 
								 if($c%2==0){$color="#EAEAEA";}
								 else {$color="#BFBFBF";}
								 
								
									 $sumaefectivo=$sumaefectivo+$efectivo;
									 $sumacredito=$sumacredito+$credito;
									 
									 $valorprecio=$precio*$cantidad;
									 $valoriva=$iva*$cantidad;
									 $preciototalventa=$valorprecio+$valoriva;
									 
									 if($tipopago=='EF')
									   {$npago="Efectivo";
										$sumaef=$sumaef+$preciototalventa;
									   }							
									 if($tipopago=='CR')
									   {$npago="Credito";
										$sumacr=$sumacr+$credito;
									   }
									   
									 
									  if($estadov<>"I")
										 {
										   $sumat=$sumat+$preciototalventa;
										   $sumapu=$sumapu+$ventapro;
										   $nestado="Facturado";
										 }
										
										if($estadov=="I")
										 {
										   $sumaI=$sumaI+$total;
										   $nestado="Anulado";
										 }   
									 		$c++;
							} //04
							  echo "<tr >";
									  echo "																					
									  <td ><div align='right'>$nlinea</div></td>
									  <td ><div align='right'>$ngrupo</div></td>
									  <td ><div align='right'><font size='4'><strong>".number_format($sumapu)."</strong></font></div></td>									 
									  <td ><div align='right'><font size='4'><strong>".number_format($sumat)."</strong></font></div></td>									  								 
									</tr>";
									
							$sumag=$sumag+$sumat;	
							$sumaput=$sumaput+$sumapu;
							$sumat=0;	
							$sumapu=0;
								
					}//01				
							 $rs_credito=mysqli_query($conexion,"SELECT sum(valor) FROM credito where fecsis between '".$fechai."' and '".$fechaf."'");							 
							 while($datosrs= mysqli_fetch_row($rs_credito)){ $totalcredito=$datosrs[0];}
							 
							 $totalefectivo=$sumag-$totalcredito;								 
							 $ganacias=$sumag-$sumaput;
							 
							/*
							 //verificamos descuentos
							 $rs_descuentos=mysqli_query($conexion,"SELECT sum(descuento) FROM venta_descuento 
							 										where fecha between '".$fechai."' and '".$fechaf."'");							 
							 while($datosrs= mysqli_fetch_row($rs_descuentos)){ $descuentos=$datosrs[0];}
*/


							 //sacamos todos los abonos de creditos
							 if($fechai<>"" && $fechaf<>""){$sqlfechaaobono=" and fecsis between '".$fechai."' and '".$fechaf."'";}else{$sqlfechaaobono="";}
							 $rs_abonos=mysqli_query($conexion,"SELECT sum(valor) FROM venta_credito 
							 										where id>0
																	$sqlfechaaobono");							 
							 while($datosrs= mysqli_fetch_row($rs_abonos)){ $TOTALABONOS=$datosrs[0];}

							//sacamos los pagos a proveedores
							 if($fechai<>"" && $fechaf<>""){$sqlfechaaobono=" and fecsis between '".$fechai."' and '".$fechaf."'";}else{$sqlfechaaobono="";}
							 $rs_abonos=mysqli_query($conexion,"SELECT sum(valor) FROM inventario_proveedor_pagos 
							 										where id>0
																	$sqlfechaaobono");							 
							 while($datosrs= mysqli_fetch_row($rs_abonos)){ $totalpagos=$datosrs[0];}

							 echo "<tr >";
									  echo "																					
									  <td colspan=2><div align='right'>VENTA TOTAL</div></td>
									  <td bgcolor='#00CC66'><div align='right'><font size='5'><strong>".number_format($sumaput)."</strong></font></div></td>
									  <td bgcolor='#00CC66'><div align='right'><font size='5'><strong>".number_format($sumag)."</strong></font></div></td>
									 
									</tr>";
							echo "<tr >";
									  echo "																					
									  <td colspan=2><div align='right'>GANACIAS TOTAL DE VENTAS</div></td>
									  <td colspan='2' bgcolor='#00CC66'><div align='center'><font size='5'><strong>".number_format($ganacias)."</strong></font></div></td>
									 							  
									</tr>";		
							echo "<tr >";
									  echo "																					
									  <td colspan=2><div align='right'>EFECTIVO</div></td>
									  <td colspan='2' bgcolor='#00CC66'><div align='center'><font size='5'><strong>".number_format($totalefectivo)."</strong></font></div></td>
									  								  
									</tr>";		
							echo "<tr >";
									  echo "																					
									  <td colspan=2><div align='right'>CREDITO</div></td>
									  <td colspan='2' bgcolor='#00CC66'><div align='center'><font size='5'><strong>".number_format($totalcredito)."</strong></font></div></td>
									 								  
									</tr>";	
									
							echo "<tr >";
									  echo "																					
									  <td colspan=2><div align='right'>DESCUENTOS</div></td>
									  <td colspan='2' bgcolor='#00CC66'><div align='center'><font size='5'><strong>".number_format($sumades)."</strong></font></div></td>
									  								  
									</tr>";								
									
							echo "<tr >";
									  echo "																					
									  <td colspan=2><div align='right'>TOTAL ANULADOS</div></td>
									  <td colspan='2' bgcolor='#00CC66'><div align='center'><font size='5'><strong>".number_format($sumaI)."</strong></font></div></td>
									  							  
									</tr>";		
									
							echo "<tr >";
									  echo "																					
									  <td colspan=2><div align='right'>TOTAL ABONOS CREDITO</div></td>
									  <td colspan='2' bgcolor='#00CC66'><div align='center'><font size='5'><strong>".number_format($TOTALABONOS)."</strong></font></div></td>
									  								  
									</tr>";			
									
							echo "<tr >";
									  echo "																					
									  <td colspan=2><div align='right'>TOTAL PAGOS PROVEEDORES</div></td>
									  <td colspan='2' bgcolor='#00CC66'><div align='center'><font size='5'><strong>".number_format($totalpagos)."</strong></font></div></td>
									 								  
									</tr>";						
									

				 echo "</table></center>";
		   } 
}

 ?> 
</div>


</div>  
<?php
if($_REQUEST["Obuscar"]==1)
{
		if($fechai<>"" && $fechaf<>""){$sqlfecha=" and fecha between '".$fechai."' and '".$fechaf."'";}else{$sqlfecha="";}

		  $sql_datosrs=mysqli_query($conexion,"SELECT count(*) as contar from venta
									where id>=0
									$sqlfecha");
		   while($datosrs= mysqli_fetch_row($sql_datosrs)){ $contar=$datosrs[0];}
		  if($contar>=1)
		  {
			 echo "<center> <table width='100%' border='1' bordercolor='#ffffff' cellpadding='0' cellspacing='0' class='table table-hover'>";
						echo "<tr>";
						echo "<td class='btn-primary'>#</td>";
						echo "<td class='btn-primary'>Factura</td>";
						echo "<td class='btn-primary'>Producto</td>";
						echo "<td class='btn-primary'>Cod.Barras</td>";
						echo "<td class='btn-primary'>Nombre</td>";
						echo "<td class='btn-primary'>Linea/Grupo</td>";
						echo "<td class='btn-primary'>Cantidad</td>";
						echo "<td class='btn-primary'>Precio Compra</td>";
						echo "<td class='btn-primary'>Precio</td>";
						echo "<td class='btn-primary'>IVA</td>";
						echo "<td class='btn-primary'>Precio Venta</td>";
						echo "<td class='btn-primary'>Fecha</td>";
						echo "<td class='btn-primary'>Estado</td>";
						echo "<td class='btn-primary'>Tipo Pago</td>";
						echo "<td class='btn-primary'>Cliente</td>";
						echo "<td class='btn-primary'>Tipo Pago</td>";
						echo "</tr>";
			  
			     $sql_datospf=mysqli_query($conexion,"SELECT count(*) as contar,linea,grupo from venta,producto
										where venta.id>=0
									    $sqlfecha
										and venta.producto=producto.id
										group by linea,grupo
										order by linea asc");
				$c=1;$sumag=0;$sumapu=0;$sumaput=0;$sumaI=0;$sumaef=0;$sumacr=0;
				 while($datospf= mysqli_fetch_row($sql_datospf))//01
					{
					  $linea=$datospf[1];  $grupo=$datospf[2];
					  
					  $sql_datos=mysqli_query($conexion,"SELECT venta.id,fecha,cantidad,precio,total,factura,venta.producto,venta.estado,venta.tipopago,
					  									venta.efectivo,venta.credito,venta.cliente,venta.iva,descuentop
					  							 from venta,producto
												where venta.id>=0
												$sqlfecha
												and venta.producto=producto.id
												and producto.linea='".$linea."'
												and producto.grupo='".$grupo."'
												order by fecha asc, id desc");
						$sumat=0;$sumaefectivo=0; $sumacredito=0;
						 while($datos= mysqli_fetch_row($sql_datos))//04
							{
								 $id=$datos[0];
								 $fecha=$datos[1];
								 $cantidad=$datos[2];
								 $precio=$datos[3];
								 $total=$datos[4];
								 $factura=$datos[5];
								 $producto=$datos[6];
								 $estadov=$datos[7];
								 $tipopago=$datos[8];	
								 $efectivo=$datos[9];	
								 $credito=$datos[10];
								 $cliente=$datos[11];	
								 $iva=$datos[12];	
								  $descuentop=$datos[13];
								 
								 $sumades=$sumades+$descuentop;
								 
								 $sql_datosrs=mysqli_query($conexion,"SELECT nombre,descripcion,preciounitario,precioventa,productofamilia,marca,iva,
															codigobarra,estado,ubicacion,linea,grupo from producto
															where id='".$producto."'");
								  while($datosrs= mysqli_fetch_row($sql_datosrs))//04
							      {
									 $nombre=$datosrs[0];
									 $descripcion=$datosrs[1];
									 $preciounitario=$datosrs[2];
									 $precioventa=$datosrs[3];
									 $productofamilia=$datosrs[4];
									 $marca=$datosrs[5];
									 //$iva=$datosrs[6];
									 $codigobarra=$datosrs[7];
									 $estado=$datosrs[8];
									 $ubicacion=$datosrs[9];
									 $linea=$datosrs[10];
									 $grupo=$datosrs[11];
									 $ventapro=$cantidad*$preciounitario;	
									 							 
								  }
								 
								 $ncliente="";
								 $rs_producto_familia=mysqli_query($conexion,"SELECT id,nombre FROM cliente where id='".$cliente."'");
								 while($datosrs= mysqli_fetch_row($rs_producto_familia)){ $ncliente=$datosrs[1];}
								 
								 $rs_producto_familia=mysqli_query($conexion,"SELECT id,nombre FROM linea where id='".$linea."'");
								 while($datosrs= mysqli_fetch_row($rs_producto_familia)){ $nlinea=$datosrs[1];}
								 
								 $rs_producto_familia=mysqli_query($conexion,"SELECT id,nombre FROM grupo where id='".$grupo."'");
								 while($datosrs= mysqli_fetch_row($rs_producto_familia)){ $ngrupo=$datosrs[1];}
								 
								 
								 if($c%2==0){$color="#EAEAEA";}
								 else {$color="#BFBFBF";}
								 
								
									 $sumaefectivo=$sumaefectivo+$efectivo;
									 $sumacredito=$sumacredito+$credito;
									 
									 $valorprecio=$precio*$cantidad;
									 $valoriva=$iva*$cantidad;
									 $preciototalventa=$valorprecio+$valoriva;
									 
									 if($tipopago=='EF')
									   {$npago="Efectivo";
										$sumaef=$sumaef+$preciototalventa;
									   }							
									 if($tipopago=='CR')
									   {$npago="Credito";
										$sumacr=$sumacr+$credito;
									   }
									   
									 
									  if($estadov<>"I")
										 {
										   $sumat=$sumat+$preciototalventa;
										   $sumapu=$sumapu+$ventapro;
										   $nestado="Facturado";
										 }
										
										if($estadov=="I")
										 {
										   $sumaI=$sumaI+$total;
										   $nestado="Anulado";
										 }   
									 
								  echo "<tr bgcolor=$color>";
									  echo "																					
									  <td>$c</td>
									  <td>$factura</td>
									  <td>$producto</td>
									  <td>$codigobarra</td>
									  <td>$nombre</td>
									  <td>$nlinea<br>$ngrupo</td>							  
									  <td>$cantidad</td>	
									  <td><div align='right'>".number_format($preciounitario)."</div></td>
									  <td><div align='right'>".number_format($valorprecio)."</div></td>
									  <td><div align='right'>".number_format($valoriva)."</div></td>
									  <td><div align='right'>".number_format($preciototalventa)."</div></td>
									  <td>$fecha</td>
									  <td>$nestado</td>
									  <td>$npago</td>
									  <td>$ncliente</td>
									  <td>$npago</td>
									</tr>";
									$c++;
									
									
									
							} //04
							  echo "<tr >";
									  echo "																					
									  <td colspan=7><div align='right'></div></td>
									  <td bgcolor='#FFFF99'><div align='right'><font size='4'><strong>".number_format($sumapu)."</strong></font></div></td>
									  <td></td>
									  <td></td>
									  <td bgcolor='#FFFF99'><div align='right'><font size='4'><strong>".number_format($sumat)."</strong></font></div></td>
									  <td></td>									 
									</tr>";
							$sumag=$sumag+$sumat;	
							$sumaput=$sumaput+$sumapu;
							$sumat=0;	
							$sumapu=0;
								
					}//01				
							 $rs_credito=mysqli_query($conexion,"SELECT sum(valor) FROM credito where fecsis between '".$fechai."' and '".$fechaf."'");							 
							 while($datosrs= mysqli_fetch_row($rs_credito)){ $totalcredito=$datosrs[0];}
							 
							 $totalefectivo=$sumag-$totalcredito;								 
							 $ganacias=$sumag-$sumaput;
							 
							/*
							 //verificamos descuentos
							 $rs_descuentos=mysqli_query($conexion,"SELECT sum(descuento) FROM venta_descuento 
							 										where fecha between '".$fechai."' and '".$fechaf."'");							 
							 while($datosrs= mysqli_fetch_row($rs_descuentos)){ $descuentos=$datosrs[0];}
*/


							 //sacamos todos los abonos de creditos
							 if($fechai<>"" && $fechaf<>""){$sqlfechaaobono=" and fecsis between '".$fechai."' and '".$fechaf."'";}else{$sqlfechaaobono="";}
							 $rs_abonos=mysqli_query($conexion,"SELECT sum(valor) FROM venta_credito 
							 										where id>0
																	$sqlfechaaobono");							 
							 while($datosrs= mysqli_fetch_row($rs_abonos)){ $TOTALABONOS=$datosrs[0];}

							//sacamos los pagos a proveedores
							 if($fechai<>"" && $fechaf<>""){$sqlfechaaobono=" and fecsis between '".$fechai."' and '".$fechaf."'";}else{$sqlfechaaobono="";}
							 $rs_abonos=mysqli_query($conexion,"SELECT sum(valor) FROM inventario_proveedor_pagos 
							 										where id>0
																	$sqlfechaaobono");							 
							 while($datosrs= mysqli_fetch_row($rs_abonos)){ $totalpagos=$datosrs[0];}

							 echo "<tr >";
									  echo "																					
									  <td colspan=7><div align='right'>VENTA TOTAL</div></td>
									  <td bgcolor='#00CC66'><div align='right'><font size='5'><strong>".number_format($sumaput)."</strong></font></div></td>
									  <td></td>
									  <td></td>
									  <td bgcolor='#00CC66'><div align='right'><font size='5'><strong>".number_format($sumag)."</strong></font></div></td>
									  <td></td>
									  
									</tr>";
							echo "<tr >";
									  echo "																					
									  <td colspan=7><div align='right'>GANACIAS TOTAL DE VENTAS</div></td>
									  <td colspan='4' bgcolor='#00CC66'><div align='center'><font size='5'><strong>".number_format($ganacias)."</strong></font></div></td>
									  <td></td>									  
									</tr>";		
							echo "<tr >";
									  echo "																					
									  <td colspan=7><div align='right'>EFECTIVO</div></td>
									  <td colspan='4' bgcolor='#00CC66'><div align='center'><font size='5'><strong>".number_format($totalefectivo)."</strong></font></div></td>
									  <td></td>									  
									</tr>";		
							echo "<tr >";
									  echo "																					
									  <td colspan=7><div align='right'>CREDITO</div></td>
									  <td colspan='4' bgcolor='#00CC66'><div align='center'><font size='5'><strong>".number_format($totalcredito)."</strong></font></div></td>
									  <td></td>									  
									</tr>";	
									
							echo "<tr >";
									  echo "																					
									  <td colspan=7><div align='right'>DESCUENTOS</div></td>
									  <td colspan='4' bgcolor='#00CC66'><div align='center'><font size='5'><strong>".number_format($sumades)."</strong></font></div></td>
									  <td></td>									  
									</tr>";								
									
							echo "<tr >";
									  echo "																					
									  <td colspan=7><div align='right'>TOTAL ANULADOS</div></td>
									  <td colspan='4' bgcolor='#00CC66'><div align='center'><font size='5'><strong>".number_format($sumaI)."</strong></font></div></td>
									  <td></td>									  
									</tr>";		
									
							echo "<tr >";
									  echo "																					
									  <td colspan=7><div align='right'>TOTAL ABONOS CREDITO</div></td>
									  <td colspan='4' bgcolor='#00CC66'><div align='center'><font size='5'><strong>".number_format($TOTALABONOS)."</strong></font></div></td>
									  <td></td>									  
									</tr>";			
									
							echo "<tr >";
									  echo "																					
									  <td colspan=7><div align='right'>TOTAL PAGOS PROVEEDORES</div></td>
									  <td colspan='4' bgcolor='#00CC66'><div align='center'><font size='5'><strong>".number_format($totalpagos)."</strong></font></div></td>
									  <td></td>									  
									</tr>";						
									

				 echo "</table></center>";
		   } 
}
?> 

 
  <script type="text/javascript">
            $(function () {
                $('#datetimepicker1').datetimepicker();
            });
        </script> 
         
</form>
<div id="resultado"></div>
</body>
</html>
